Bug 63630 - [Qt][WK2] Implement the rest of WTR::PlatformWebView
Summary: [Qt][WK2] Implement the rest of WTR::PlatformWebView
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified All
: P3 Normal
Assignee: Balazs Kelemen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-29 07:55 PDT by Balazs Kelemen
Modified: 2011-07-10 11:05 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.70 KB, patch)
2011-06-29 08:00 PDT, Balazs Kelemen
no flags Details | Formatted Diff | Diff
Patch (1.76 KB, patch)
2011-07-10 10:24 PDT, Benjamin Poulain
benjamin: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Balazs Kelemen 2011-06-29 07:55:19 PDT
Namely windowFrame and setWindowFrame. I don't know which tests using these and which ones can be fixed by implementing them. However it's not a big deal and we can unskip passing tests in the future.
Comment 1 Balazs Kelemen 2011-06-29 08:00:01 PDT
Created attachment 99090 [details]
Patch
Comment 2 Kenneth Rohde Christiansen 2011-06-29 09:16:02 PDT
Comment on attachment 99090 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=99090&action=review

> Tools/WebKitTestRunner/qt/PlatformWebViewQt.cpp:100
> +void PlatformWebView::setWindowFrame(WKRect wkRect)

why not jsut call that rect. This wk prefix doesnt serve anything
Comment 3 Balazs Kelemen 2011-06-30 00:37:29 PDT
(In reply to comment #2)
> (From update of attachment 99090 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=99090&action=review
> 
> > Tools/WebKitTestRunner/qt/PlatformWebViewQt.cpp:100
> > +void PlatformWebView::setWindowFrame(WKRect wkRect)
> 
> why not jsut call that rect. This wk prefix doesnt serve anything

Okeydokey.
Comment 4 Balazs Kelemen 2011-06-30 01:00:51 PDT
Committed r90095: <http://trac.webkit.org/changeset/90095>
Comment 5 Benjamin Poulain 2011-07-10 10:16:38 PDT
Reopening, this was reverted by accident.
Comment 6 Benjamin Poulain 2011-07-10 10:24:29 PDT
Created attachment 100230 [details]
Patch
Comment 7 Benjamin Poulain 2011-07-10 10:25:04 PDT
Comment on attachment 100230 [details]
Patch

Updating was taking forever, let's use the commit bot :)
Comment 8 Benjamin Poulain 2011-07-10 11:05:33 PDT
Committed r90693: <http://trac.webkit.org/changeset/90693>